Bug 242566 - Porter's Handbook: 6.5.4 Using cmake - references deleted port deskutils/strigi
Summary: Porter's Handbook: 6.5.4 Using cmake - references deleted port deskutils/strigi
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sergio Carlavilla Delgado
URL: https://www.freebsd.org/doc/en/books/...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-11 03:01 UTC by Ben Woods
Modified: 2020-02-01 11:50 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2019-12-11 03:01:19 UTC
The Porter's Handbook section 6.5.4 "Using cmake" references a deleted port deskutils/strigi as an example.
https://www.freebsd.org/doc/en/books/porters-handbook/building.html#using-cmake
https://www.freshports.org/deskutils/strigi

Given this port is no longer available, this example should either be removed or an alternative port should be referenced as an example.
Comment 1 Mathieu Arnold freebsd_committer 2020-01-17 09:25:22 UTC
Add cmake's maintainer to see if they have a preference on how to address this.
Comment 2 Tobias C. Berner freebsd_committer 2020-01-18 20:49:12 UTC
Moin moin 

I would suggest to just remove the '(see deskutils/strigi for an example)' from the handbook.


mfg Tobias (with hat kde@).
Comment 3 Tobias C. Berner freebsd_committer 2020-01-18 20:54:19 UTC
If you prefer to keep an example, I would suggest `devel/kf5-kcrash'. 
It has a very small plist at the moment (13 lines), and uses the sub.

mfg Tobias
Comment 4 commit-hook freebsd_committer 2020-02-01 11:49:08 UTC
A commit references this bug:

Author: carlavilla
Date: Sat Feb  1 11:48:40 UTC 2020
New revision: 53851
URL: https://svnweb.freebsd.org/changeset/doc/53851

Log:
  Update cmake package example in Porter's Handbook

  PR:		242566
  Submitted by:	woodsb02@
  Patch by:	carlavilla@
  Approved by:	bcr@(mentor), mat@
  Differential Revision:	https://reviews.freebsd.org/D23410

Changes:
  head/en_US.ISO8859-1/books/porters-handbook/special/chapter.xml
Comment 5 Sergio Carlavilla Delgado freebsd_committer 2020-02-01 11:50:26 UTC
Fixed